What is MixMeister 4.0?

Welcome!

Want to create a heart-pounding mix for a party or a tempo-controlled mix for your aerobics class, but hate those awkward fades, jumping volume, or worse—gaps of silence? MixMeister 4.0 can help. Using its intuitive graphical user interface, you can create a mix that's second to none in no time at all.

  • Create a mix, from your own music, in the style of a radio or club DJ, lining up rhythms for that professional sound.

  • Quickly adapt the mix to your preferences by adjusting the song transitions, volume, treble, and bass.

  • Play back your mix in an unattended or assisted manner for parties, events, and webcasts.

  • Export your mix directly to a CD or in compressed format for the Web or portable music players.

The steps to a great MixMeister mix are relatively simple:

Import your music into the Catalog where MixMeister keeps a list of all the music files you've imported. The Catalog, which you can organize the way you want—it's searchable, too—serves as the music source for your Playlist.

Build your Playlist. You simply drag songs from the Catalog and drop them into the Playlist. MixMeister plays the songs (or tracks) in the order they're listed.

Create your mix. The Timeline (in the lower half of the MixMeister window) gives you a visual representation of each song in your Playlist.

  • Adjusting the mix of songs by changing the overlapping segments of music.

  • Fading songs in and out using volume controls.

  • Turning on Beat Mixing (also known as beat matching) so that songs have the same BPM at the point where they overlap, linking them seamlessly together.

  • Adjusting the tempo of the Playlist.

  • Changing the bass and treble levels of songs.

Important note MixMeister uses non-destructive editing. This means that no matter how much you edit a track in the Timeline, you never really change the original music file; you can always get back to it. With this approach, your onscreen editing goes much faster than if you were working on the original file, and your working files are much smaller, saving space on your hard disk. In addition, MixMeister has a robust "Undo" feature that can undo almost anything you do in the Playlist and the Timeline (although not in the Catalog).

Listen to the mix. Even if all you've done is drag a few songs from the Catalog and dropped them onto your Playlist, MixMeister has automatically overlapped the ending of each song with the beginning of the next, making smooth transitions between songs.

Share your mix by burning an audio CD, setting it up for transfer to a handheld player, or for broadcast on the Web.

If you're ready to get going but you'd like some help, we've put together a quick tutorial that leads you step by step through the process of creating your mix.

© 2002 MixMeister Technology, LLC


Getting Started

The quickest way to grasp the powers of MixMeister is to try it out. So jump right in and try our most popular features on your own mix, whether you're putting it together for an aerobics class, a party, or a gift for a friend.

We've put together a quick tutorial that leads you step by step through the process of building a mix, starting with adding your music to the Catalog, and ending with creating a CD.

Click [image] NEXT at the end of each topic to continue.

  • Add your music to the MixMeister Catalog

  • Create your Playlist

  • Look at-and listen to-your mix

  • Adjust the overlap between tracks

  • Try Beat Mixing

  • Customize your Beat Mix

  • Share your music

Get further help

You'll find information about these and all MixMeister features in this Help system.

  1. From the Help menu, choose MixMeister Help.

  2. Click the Index tab, and type the specific word or phrase you're looking for Type In The Keyword To Find box, or choose from the list of keywords.

  3. Click the Display button at the bottom of the Help pane.

The topic appears in the right half of the Help pane.

Add your music to the MixMeister Catalog


Add your music to the MixMeister Catalog

Before you can build your mix, you have to add the songs to the MixMeister Catalog. In the Catalog, you can sort the titles by categories you set up. You can also play a preview of any song in the Catalog, and review such details as the artist, album title, and length.

When MixMeister processes a song (in the background) for addition to the Catalog, it detects the beats per minute (BPM), figures out where the beats are, determines the song's volume, and so on. Processing a song can take anywhere from a few seconds to a few minutes. When a song is fully processed, MixMeister displays its BPM.

Note MixMeister uses non-destructive editing. This means that no matter how much you edit a track, you never really change the original music file. However, although MixMeister has a robust "Undo" feature, it cannot undo what you do in the Catalog, such as add or delete songs.

See also Manage Your Catalog

Getting music

Add up to a dozen or so of the songs you already have stored on your hard disk. Or, if you don't already have a stash of music files to work with, you can:

  • Download MusicMatch (www.MusicMatch.com) or another program that can convert your CDs into MP3 files ("CD Ripper" software).

  • Go to http://www.mp3.com/, and download some free MP3 files.

  • Use the sample files. If you decide to go this route, skip to the next step, Create your Playlist.

Import music files into the Catalog

  1. From the File menu, choose Import Music File(s) To Catalog.

  2. In the Add Music Files To Catalog box, browse to locate the directory that contains the MP3, WMA, or WAV files you want to import.

  3. Select the files you want, and click Open.

Add music files from Windows Explorer into the Catalog

  • Drag music files-from a single file to a folder or directory of files-from Windows Explorer directly into the Catalog.

Create your Playlist


Create your Playlist

The Playlist is where you build your mix. Within the Playlist, you can change the order of tracks and sort the Playlist by tempo (the beats per minute).

Add songs to the Playlist from the Catalog

Here's how to add the songs you imported into the Catalog into the Playlist.

  1. If there are any songs in the Playlist, choose new Playlist from the File menu.
    The Playlist window is cleared. (The songs remain untouched in the Catalog.)

  2. Select five or six songs in the Catalog, and drag them to the Playlist.

Add songs from the sample Playlist

  1. From the File menu, choose Open Playlist.

  2. In the Open Playlist box, browse to find the MixMeister program directory—for example, C:\Program Files\MixMeister.

  3. Select Demo.mmp, and click Open.

See also Create and Listen to a Playlist

Look at—and listen to—your mix


Look at-and listen to-your mix

Look at—and listen to—your mix

MixMeister displays the tracks you add to the Playlist in the Timeline. The Timeline (in the lower half of the window) is a visual representation of the music in your Playlist. Each horizontal row in the Timeline represents an individual track; it also shows you where the tracks overlap. The hills and valleys (or the music plot) correspond to changes in volume.

Play the entire mix

Even if all you've done so far is dragged a few songs from the Catalog and dropped them onto your Playlist, MixMeister has automatically overlapped the ending of each song with the beginning of the next. So go ahead and play your mix—it's going to sound good even before you've played with all the bells and whistles!

  • Click the Play From Beginning button [image] at the top of the window.

Listening to your mix

MixMeister uses Standard Mixing as the default way to transition from one song to another. MixMeister overlaps the end of the outgoing song with the beginning of the incoming song. In this style of mixing, which is frequently used by radio DJs, MixMeister fades out the outgoing song and fades in the incoming song in the overlap.

  • To hear what the default Playlist settings sound like, click the Play From Beginning button [image].

  • To stop playing, click the Stop button [image].

  • To jump ahead in the song, use the Timeline scroll bar to move to the transition between the first two tracks.

  • To start playing from a point in time—for example, to hear the transition between songs—double-click the Timeline Ruler.

As you listen, watch the Timeline:

  • The green vertical line in the Timeline shows the current play position.

  • The music plot of the track you're playing is white, while the other tracks are blue.

  • During the transition, when two tracks overlap, both tracks are white.

  • Watch how the graph of the music plot goes up and down with the music. The peaks in the graph are where the heaviest beats in the music are. To get a closer look at the peaks, click the Zoom In button [image].

See also Playing your mix

Adjust the overlap between tracks


Adjust the overlap between tracks

If an incoming song has a long gentle intro, you may want to increase the overlap because the song doesn't pick fast enough. Or you may want to start the incoming song earlier-shortening the overlap-because there's a drop off in energy at the end of the first song. In this example, you'll increase the overlap of the tracks.

Each track automatically comes with one "sprocket" at the beginning of the song (Intro Sprocket) and another at the end (Outro Sprocket). Just as sprockets help film move through a film projector, MixMeister sprockets link two songs at a particular place. Sprockets determine the overlap between songs, and they also typically indicate the beginning of a fade-out.

Increase the overlap between tracks

When you increase the overlap, notice that the Outro Sprocket of the first song stays lined up with the Intro Sprocket of the second song.

  1. In the Timeline, scroll to the transition between the first two tracks.

  2. Hold your mouse over the vertical red line at the beginning of the music plot for the second track.
    If you are in the right place, the text "Intro Sprocket" appears.

  3. Use your mouse to drag the Intro Sprocket to the right.
    When you stop dragging, the second track moves to the left.

Play the mix with the new overlap

  1. Click the Timeline just before the Outro Sprocket of the first song.

  2. Click the Play From Cursor Position button [image] at the top of the window.

See also Adjusting the overlap between songs

Try Beat Mixing


Try Beat Mixing

DJs in dance clubs use a style of mixing called Beat Mixing (also known as beat matching). It refers to the art of changing the speed-or beats per minute (BPM)-so that both songs have the same BPM at the point where they overlap. Because the beats of the two songs are coordinated, the transition between songs is hard to detect, so you get a seamless transition between songs with different beats per minute.

During the time when the Outro and the Intro overlap, MixMeister lines up the beats of the two songs, adjusting the tempo of both songs so that it is between the tempos of each song. The tempo change occurs gradually to make the transition smooth; it doesn't affect the original pitch of the music.

Enable Beat Mixing for several songs

  1. Select three songs in a row in your Playlist.

  2. From the Edit menu, point to Track, and choose Beat Mixing.
    The Playlist and the Timeline now display the Beat Mixing icon [image] for each of these songs.

  3. To listen to the default beat mix, click the Play From Beginning button [image] at the top of the window.

See also Use Beat Mixing

Customize your Beat Mix


Customize your beat mix

Take a look at the Outro Range for one of the tracks. Songs that use Beat Mixing have gray and blue stripes in the Intro and Outro Ranges. Gray stripes mark the beginning of each measure of music. If you zoom in far enough, MixMeister shows the individual beats in each measure.

With Beat Mixing, MixMeister marks an Intro Range and an Outro Range in every song, with one sprocket at the beginning and another at the end of each range. Adjust the positions of the Intro and Outro Ranges by moving the sprockets.

Get a close up view of the Intro and Outro ranges

Zoom in far enough, and you'll be able to see the individual beats in each measure of the Intro and Outro Ranges.

  • Zoom In [image] on the Intro and Outro Ranges (the overlap) between two beat-mixed songs.

    (To zoom back out, click the Zoom Out button [image].)

Tip You can also use the mouse wheel—the middle button on your mouse—to zoom in or out. Roll the wheel forward to zoom in for more detail; roll it backward to zoom out for less.

Customizing your beat mix

Try some or all of these techniques for customizing your beat mix.

  • Synchronize the two songs for a longer period of time. In the outgoing track, drag the first sprocket in the Outro Range to the left to make the Outro Range longer. Then, drag the last sprocket in the Intro Range for the next track to the right.

  • Start mixing the incoming song sooner. Click the red bar at the top of the Outro Range, and drag the bar to the left. MixMeister snaps the position of the beginning of the range to the closest quarter note by default, if Snap To Beat is enabled (which it is by default).

  • Speed the music up a little. Grab the red tempo box (at the bottom of the screen), and drag it up a little bit to increase the tempo at that point.

  • Keep the tempo the same over the entire overlap. Drag the tempo boxes in the Intro Range so they are at the same level.

  • Now play your beat mix. Zoom out a little so that you can see a tempo box on either side of the Outro Range. Notice that MixMeister plays the song at its original tempo during the middle of the song, and then starts to adjust the tempo of the outgoing song just before the Outro Range starts. It also continues to change the tempo of the incoming song after its Intro Range is over, until it gets back to the original tempo for that song.

See also Use Beat Mixing

Share your music


Share your music

So you've built that killer mix. Now what should you do with it? Share it, of course! You can connect your computer to your stereo and use the playback features to listen to your Playlist. Or, you can burn a personalized CD-R for a party or set your mix up for transfer to a handheld player. There's even a built-in webcasting tool for sharing your mix with the world.

Create a CD

  1. Create your very best mix.
    Make sure that the total time is less than 74 or 80 minutes, depending on the size of your CD-R; otherwise it won't fit on the disk.

  2. Stick a blank CD into the drive.

  3. From the File menu, choose Create CD-Recordable.
    MixMeister reminds you to insert a disc and lets you know when it's ready to write.

  4. Click Write.

See also Burning a CD

WHAT NEXT? There's lots more you can do, so explore both the menus and the right-click menus for items to discover your options. Or better yet, start playing!

Return to the first page of this Getting Started tutorial.


Get Your Music Ready

To get your music ready, you must first add songs to the MixMeister Catalog. Any song in the Catalog is then available for you to add to a Playlist.

When you add songs, MixMeister automatically detects the beats per minute (BPM) and builds a music plot for each song you add to the Catalog. MixMeister uses this information to determine how to mix songs for either Standard Mixing or Beat Mixing.

Because processing a song can take anywhere from a few seconds to a couple of minutes, depending on machine speed and available system resources, MixMeister works in the background whenever it’s open, until all of the songs have been processed. If you have a lot of music files, it could take several sessions for MixMeister to process all your songs.

As MixMeister processes the BPM, time, and music plot for each music file, it stores this information in a plot file (about 50–100KB each) on your hard disk. You can change the location of the plot file directory.

See Also

To change the location of the plot file directory


Importing music into the Catalog

When you import music in MixMeister, you’re essentially adding songs in the form of MP3 (filename.MP3), Windows Media Audio (filename.WMA), and WAV files (filename.WAV) to the Catalog.

Every time you start MixMeister, a box appears where you can specify whether you want to start off by importing a several files or a directory of files (including subfolders) or by loading an existing Playlist. (You have the option to tell MixMeister not to show this box upon startup.)

When MixMeister processes a song, it does the following:

  • Detects the BPM of each music file you add to the Catalog.

  • Generates a music plot so you can "see" the volume of your music.

  • Determines where the song’s "effective beginning" and "effective ending" are, and places Intro and Outro Sprockets at these positions.

  • Figures out where the beats are in a song. This allows MixMeister to position sprockets on beats, and to have a Snap To Beat mode when you edit mixes.

This processing takes anywhere from a few seconds to a few minutes. (Check the status bar at the bottom of the MixMeister window for the processing status.) When the song is fully processed, MixMeister displays the BPM and, if you’ve already put the song in the Playlist, the music plot as well.

If you don’t already have a stash of music files to work with, you can:

  • Download MusicMatch (www.MusicMatch.com) or another program that can convert your CDs into MP3 or WMA files ("CD Ripper" software).

  • Go to http://www.mp3.com/ and download some free MP3 files.

To add music files to the Catalog from Windows Explorer

  • Drag music files—from a single file to a folder or directory of files—from Windows Explorer directly into the Catalog.

To import one or more files into the Catalog

  1. On the File menu, choose Import Music File(s) To Catalog.

  2. In the Add Music Files To Catalog box, browse to locate the directory that contains the MP3, WMA, or WAV files you want to import.

  3. Select the files you want, and click Open.

Tip Another way to import files is to open a Playlist that contains new songs—for example, if someone shared a Playlist with you or you’re bringing in a Playlist from another program. To do this, click Open Playlist on the File menu. Find the Playlist, and click Open. Any songs on the Playlist that are new to your Catalog are automatically added to it—and MixMeister ignores duplicates.

To import a directory of files into the Catalog

You can easily import all MP3 files within a directory, including those in any sub-folders.

  1. From the File menu, choose Import Directory Of Files To Catalog.

  2. In the Browse For Folder box, find the directory that contains the MP3 files you want to import.

  3. Select the directory you want, and click OK.


Modifying Catalog entries for music files

MixMeister reads the title, artist, album, genre, beats per minute (BPM), and year from each music file and stores it in the Catalog. You can change that information one song at a time or for many songs at once. Whichever approach you take, MixMeister updates the music file with your changes.

Caution! Although MixMeister has a robust "Undo" feature, it does not undo change you make in the Catalog.

To change title, artist, and other details one song at a time

  1. In the Catalog, right-click the song whose information you want to change, and choose Properties.

  2. In the Catalog Item Properties box, type the changes you want to make, and click OK.

See Also

Saving a track's current settings

To correct a tempo that’s way off

To change title, artist, and other details for many songs using Microsoft Excel

If a lot of your music comes from compilation CDs, you may want to change the title and artist for many songs. It can be tedious to do this one at a time in the Catalog. Instead, export a copy of your Catalog information to a program such as Excel for easier editing, and then import the changes back into MixMeister.

We recommend using Microsoft Excel or an equivalent spreadsheet program because it has sort, find-and-replace, and other features that make handling large numbers of songs easy. You can, however, use any text editor such as Notepad or Microsoft Word to update the Catalog file, as long as you save the final result as a text file.

  1. From the Catalog menu, choose Export Catalog.

  2. In the Export Catalog box, select the directory, give the Catalog a name, and then click Save.

  3. Open Microsoft Excel, and choose Open from the File menu.

  4. In the File Open box, choose All Files from the File Type selection at the bottom.

  5. Open the Catalog file you saved in step 2 above.

  6. Follow the directions of the Excel wizard to format the data so it’s easier to read.

  7. Click Finish to open the file using the default settings that Excel recommends.

  8. Edit the information that you want to change.
    The first column provides the name and location of the music file. We recommend that you do not change this information because this is how MixMeister tracks the song across the export/import process.
    Change the other columns—Title, Artist, Album, Genre, Year, and BPM—as much as you want.

  9. When you have finished making changes, save the file as a Text (Tab Delimited) (*.txt) file type.
    Excel selects this format by default.

  10. Close the Excel file.

  11. Go back to MixMeister, and choose Import Catalog from the Catalog menu.

  12. In the Import Catalog box, select the Catalog file that you edited in Microsoft Excel, and click Open.
    That’s it. You should now see the changes you made in the Catalog.

Note Because the original music files stay in the Catalog and only the changes are imported, if you delete a song in the Excel file, it is still there in the Catalog—without any changes.

To delete a song from the Catalog

  • Right-click the song you want to delete, and choose Delete From Catalog.

To change the location of the plot file directory

  1. From the Tools menu, choose Options.

  2. On the Plot Files tab, click Browse to locate the directory where you want to store the BPM and music plot information, and click OK.


Manage Your Catalog

Use the Catalog to see all the titles you’ve added to MixMeister or just those in a particular category you’ve set up. You can also play a preview of any song in the Catalog and review such details as the artist, album title, and length.

As you manage your Catalog, you'll use these techniques:

  • Preview songs in the Catalog

  • Categorize songs in the Catalog

  • Search the Catalog


Previewing a song in the Catalog

If you aren’t sure if a song in the Catalog is the one you want to add to your Playlist, you can preview it beforehand. To preview songs in the Catalog, use the buttons on the Catalog Preview toolbar.

To preview a song in the Catalog

  • Double-click the song in the Catalog.

To skip ahead in the preview of a Catalog song

  • Click the Skip Ahead button [image].
    If you don’t see the button, choose Catalog Preview Toolbar from the View menu.

To stop the preview of a Catalog song

  • Click the Stop button [image].
    If you don’t see the button, choose Catalog Preview Toolbar from the View menu.


Categorizing songs in the Catalog

With MixMeister, you can group songs into mini-catalogs called categories. You can use categories to identify the format of songs (such as Techno, Trance, Party, or Rock) or to group songs for a particular purpose (such as Aerobics Workout, Dinner Music, Party Warm Up, or My Favorites).

To create a category

  1. In the Catalog, right-click the song you want to assign to a new category.

  2. Choose Manage Categories, and then choose New Category.

  3. Type the name of the new category, and click OK.
    MixMeister adds this category to the list of categories, and assigns the selected song to the category.

To assign a song to a category

  1. In the Catalog, right-click the song you want to assign to a category.

  2. Choose Manage Categories.
    A check mark appears next to any category to which the song is already assigned.

  3. Select the category you’re adding the song to.

Tip You can also assign a song to a category by right-clicking it in the Playlist.

To view the list of songs assigned to a category

  1. At the top of the Catalog, click the down arrow next to the Show Catalog Category box. (The default value in this box is Entire Catalog.)

  2. Select a category from the list that appears.
    The Catalog now shows only those songs assigned to the category you picked.

Tip To see the complete Catalog again, click Entire Catalog in the Show Catalog Category box.

To remove a song from a category

  1. In the Catalog, make sure you’re viewing either the Entire Catalog or the particular category you want to remove a song from.

  2. Right-click the song you want to remove, and choose Manage Categories.
    A check mark appears next to any category to which the song is assigned.

  3. Select the checked category from which you want to remove the song.

Caution! If you delete a song while viewing a category, you are removing the song from the entire Catalog, not just the current category.

Tip You can also delete a song from a category by right-clicking it in the Playlist.


Searching the Catalog

To find a track by Catalog property such as name, artist, or year

MixMeister searches the Catalog for songs that match what you typed, displaying only those that match. You can search for any Catalog property that’s been stored on a music file: title, artist, album, genre, BPM (beats per minute), and year.

  1. Click in the Type A Title, Artist... box.

  2. To search:

    • for text, type the letters or words you want to search for.
      For example, type Boy to find songs by the Beastie Boys and Fatboy Slim, as well as songs with the word Boy in the title, the album name, or the genre.

    • for year, type the year’s number.

The Catalog now shows only those songs that match what you typed.

Tip To see the complete Catalog again, click Entire Catalog in the Show Catalog Category box.

To select music by category

  1. At the top of the Catalog, click the down arrow next to the Show Catalog Category box. (The default value in this box is Entire Catalog.)

  2. Select a category from the list that appears.
    The Catalog now shows only those songs assigned to the category you picked.

Tip To see the complete Catalog again, click Entire Catalog in the Show Catalog Category box.


Create and Listen to a Playlist

When you’re ready to create your own mix, you create a Playlist by dragging songs from the Catalog and dropping them into the Playlist. MixMeister plays the songs (or tracks) in the order they’re listed.

Within the Playlist, you can change the order of tracks and sort the Playlist by tempo (the beats per minute). And you can play your mix at any time.


Creating a Playlist

In MixMeister, the Playlist area shows the list of songs in the order that MixMeister will play them.

To start a new Playlist

  1. From the File menu, choose New Playlist.

  2. Drag songs from the Catalog, and drop them onto the new Playlist.

Tips

  • If you forgot to save your Playlist before starting a new one, don’t worry. Choose Undo from the Edit menu to retrieve the last one so you can save it.

  • To hear a song in the Catalog before you add it to your Playlist, double-click its name. Also, you can drag music files—from a single file to a folder or directory of files—from Windows Explorer directly into the Playlist.

To direct MixMeister to process a song sooner

Because of all the work MixMeister does in the background, cataloging a song can take awhile—anywhere from a few seconds to a couple of minutes per song—particularly if you're importing hundreds of songs into the Catalog. You may notice, if you're eager to start building a Playlist, that MixMeister hasn't finished—the music plot is blank and no beats per minute (BPMs) show up either in the Catalog or the Playlist. In that case, you can get MixMeister to process a song sooner so you can work with it right away.

  • Drag the song onto the Playlist.

To open an existing Playlist

  1. From the File menu, choose Open Playlist.

  2. In the Open Playlist box, click the Playlist you want, and click Open.

To add a Playlist to the end of the current Playlist

  • From the File menu, choose Append Playlist.

To save a Playlist

A Playlist stores all of the playback settings that you have configured in the Playlist and the Timeline. This includes the list of tracks and individual track settings.

  1. From the File menu, choose Save Playlist.

  2. Click the Save In down arrow, and browse to locate the folder where you want to store the file.

  3. Double-click the folder, and type a name for the file in the File Name box.

  4. Click Save.

To save a Playlist with a different name, in another format, or in a new location

  1. From the File menu, choose Save As Playlist.

  2. If you're saving the Playlist in another folder, click the Save In down arrow, browse to locate the folder where you want to store the Playlist, and double-click it.

  3. If you're changing the name of the Playlist, type a new name in the File Name box.

  4. If you're saving the Playlist in another format—for example, one that's supported by another MP3 player, such as WinAmp—click the Save As Type down arrow, and click the new format.

  5. Click Save.

Note Other MP3 players do not support all of the features in a MixMeister Playlist, so some of your mix settings might not be stored in that format. To make sure that you save all of your settings, use the MixMeister format.


Playing your mix

Tip To find out what a particular button does, point to it on the MixMeister window for a screen tip. You can also point to the illustration above to see what the buttons do.

To listen to your entire Playlist

  • To play the entire mix, click the Play From Beginning button [image].

To pause playing

  • Click the Pause button [image].
    Click the Play From Cursor Position button [image] to continue.

To stop playing

  • Click the Stop button [image].

To listen to your Playlist starting with a particular song

  1. Click the song in the Playlist.

  2. Click the Play From Cursor Position button [image].
    MixMeister starts playing at the beginning of song you selected.

Tip You can also double-click a track in the Playlist to starting playing the mix at the beginning of that song.

To listen to your Playlist from a certain point

  1. Click in the Timeline to put the cursor (a flashing vertical line) at the point where you want to start playing.

  2. Click the Play from Cursor Position button [image].

Tip You can also start playing your mix by double-clicking the Timeline ruler at any point. (The Timeline ruler is the gray strip at the top of the Timeline that shows the play time.)


Work Your Magic on the Music - Basic Techniques

Now you’re ready to start controlling your mix. First learn how to move around in the Timeline, and then make some basic changes to your mix.

The basic techniques include:

  • Working with the Timeline

  • Understanding the difference between Standard Mixing and Beat Mixing

  • Adjusting the overlap between songs

  • Adjusting the volume

  • Splitting a song into segments

  • Cropping or extending a Primary track segment

  • Changing the tempo of a song


Working with the Timeline

Tip To expand the size of this Help window, so you can see the illustration and its explanation at the same time, click the Maximize button in the upper right corner of the window.

Understanding the Timeline

Timeline component | Description
1. Track button bar | Use these buttons to adjust the master volume for a track, or to play back one track at a time without hearing any other tracks.
2. Timeline Ruler | The numbers in this bar across the top of the Timeline show the relative time within the Playlist in Hours:Minutes:Seconds.
3. Track | Each music file in the Playlist shows up as a track in the Timeline.
4. Title bar | The Title and Artist are displayed in a bar across the top of each segment in a track.
5. Sprocket | MixMeister uses sprockets to define how songs link together and overlap. Each sprocket is marked by a vertical red line.
6. Music plot | A visual representation of the changes in volume of a song over time.
7. Track Type Indicator | This circle at the left end of each segment indicates whether the track is a Primary track using Standard Mixing [image] , a Primary track using Beat Mixing [image] , or an Overlay track [image] . This circle is blue by default, but turns orange when the segment is selected. All segments in a track have the same track type.
8. Intro and Outro Ranges | MixMeister marks an Intro Range and an Outro Range in every Beat-Mixed song, with one sprocket at the beginning and another at the end of each range. Adjust the positions of the Intro and Outro Ranges by moving the sprockets. Change the length of overlap by dragging the red-orange bar at the bottom of the Intro Range or top of the Outro Range.
9. Volume markers | These blue boxes connected with a blue line show how MixMeister will fade the volume of a song in and out. Drag the blue boxes up or down to adjust the volume; drag them right or left to move the volume markers.
10. Tempo box | These red boxes allow you to see and modify the tempo of a song during playback. There are two tempo boxes for songs using Standard Mixing and four for songs using Beat Mixing. The lines between the boxes represent how the tempo changes.
11. Segment | Songs are one segment by default. However, you can break the song into segments. For example, you can take a ten-minute dance remix and chop it into a few segments to represent the intro, first chorus, etc. You can then delete or copy segments to rearrange the song. Selected segments are indicated by a highlighted header.

To change the level of Timeline detail

You can adjust the level of detail you see in the Timeline by zooming in and out.

  • To increase the level of detail, click the Zoom In button [image] at the top of the window.

  • To decrease the level of detail, click the Zoom Out button [image].

Tip You can also use the mouse wheel—the middle button on your mouse—to zoom in or out. Roll the wheel forward to zoom in for more detail; roll it backward to zoom out for less.

To change the position in the Timeline

You will need to move around in the Timeline when you're editing your mix or when you want to jump ahead or jump back while playing your mix. Do one of the following:

  • To move the play cursor to a particular point, click the Timeline at that point.

  • To scroll to a particular song in the Timeline, click the song in the Playlist.

  • To scroll to any point you want, use the scroll bar at the bottom of the Timeline.

To keep the current play position in view

If you move to another point in the Playlist, MixMeister scrolls back to the current play position after several seconds when this option is turned on.

  • Click the Automatically Show Play Position button [image] at the top of the window.


Understanding the difference between Standard Mixing and Beat Mixing

Before you start adjusting your mix, check what type of mixing is set up for the songs you're using. MixMeister uses Standard Mixing by default until you switch the style for the track to Beat Mixing.

  • Standard Mixing works much like the mixing many radio stations use. Songs are played with a small amount of overlap, and the volume is faded from one song to the other during the Intro of the incoming track. marks the songs that are set up to use Standard Mixing.

  • Beat Mixing (also known as beat matching) refers to the art of changing the speed—or beats per minute (BPM)—so that both songs have the same BPM at the point where they overlap. Because the beats of the two songs are coordinated, the transition between songs is hard to detect, so you get a seamless transition between songs with different BPM. identifies the songs that are set up to use Beat Mixing.

To switch between Beat Mixing and Standard Mixing

You can use Beat Mixing only between songs that both have Beat Mixing enabled.

  • To switch to Beat Mixing, right-click the song in the Playlist or the Timeline, and choose Beat Mixing.

  • To switch to Standard Mixing, right-click the song in the Playlist or the Timeline, and choose Standard Mixing.


Adjusting the overlap between songs

You don't have to be a whiz to achieve great results with MixMeister. In fact, even if you simply create a Playlist and play it, the entire mix will sound remarkably good. MixMeister uses the volume profiles of songs to determine where the ending of one song begins (the Outro) and where the beginning of the next song ends (the Intro). It then sets up the songs so that the Outro and the Intro overlap.

So if you feel like experimenting, it’s easy to adjust the transition between any two songs to get the sound you want. This topic introduces how to adjust the overlap between songs that use Standard Mixing.

See Also

Changing the tempo of a song

About sprockets

Each track that uses Standard Mixing automatically comes with one "sprocket" at the beginning of the song and another at the end. Just as sprockets help film move through a film projector, MixMeister sprockets link two songs at a particular place. Sprockets determine the overlap between songs, and they also typically indicate the beginning of a fade-out.

Sprocket details

  • Sprockets appear as vertical red lines.

  • Sprockets at the beginning of songs are called Intro Sprockets, those at the end of songs, Outro Sprockets. To find out whether a sprocket is an Intro or Outro Sprocket, point to it for a screen tip.

  • You can move a sprocket forward or backward in time by dragging it. When you’re done dragging, MixMeister automatically shortens or lengthens the overlap of the two songs so that the sprockets of both songs line up again. A similar automatic adjustment takes place if you move an entire song forward or backward in time.

To increase the overlap between songs

  • Drag the Intro Sprocket to the right, the Outro Sprocket to the left, or both.

To reduce the overlap between songs

  • Drag the Outro Sprocket to the right, the Intro Sprocket to the left, or both.

To create silence between songs

  • Drag the Outro Sprocket past the end of the outgoing track.


Adjusting the volume

Just as MixMeister automatically determines the best place to overlap tracks, it also automatically sets the volume for fade-outs between songs. In Standard Mixing, MixMeister starts a track playing at full volume, and starts fading out the volume at the Outro Sprocket. The blue square volume markers show how MixMeister cross fades between songs; when you move the sprockets, the volume markers move with them.

You can however change the Standard Mix (sometimes referred to as "radio-style" mixing) by changing the fade of a song. You can adjust the volume of an entire track or at a specific point in a song by adding and moving volume markers. And you can also normalize the volume of the entire Playlist.

The range of volume markers is measured in decibels (dB), the unit of measure that professional recording equipment uses. The most common volume marker is at 0dB, which means that the track is playing at full volume. If you increase the volume of a song by moving the volume marker upwards, this generates higher dB numbers; moving it lower generates lower decibel numbers.

To normalize the volume of the entire Playlist

There will be times when the volume of your Playlist is inconsistent from track to track. To fix this you can normalize the volume, ensuring that all the songs in your mix play at the same volume. If the differences in volume were dramatic, you may experience a distortion of very soft, subdued music, or a loss of dynamic range of very loud music. However, this a non-destructive playback option—MixMeister does not make any changes the original music file.

Each time you open the Playlist, MixMeister will switch the normalization setting either On or Off, based on how it was set when you last saved the Playlist.

  • From the Playlist menu, choose Normalize Track Volume.
    To switch the normalization setting off, choose Normalize Track Volume and remove the check mark.

To change the volume of an entire track

You can increase the volume of one song compared with the others by moving the volume markers upwards.

  • Drag the Track Volume Slider left or right.

To adjust the volume of a track at a particular point

  • Drag a volume marker up or down.

To set a specific value for the volume at a particular point

Sometimes you want to set a specific volume that you can’t easily get by dragging the volume marker.

  1. Right-click the volume marker whose value you want to set, and choose Edit.
    A white box with the decibel value in it appears.

  2. Type the decibel value you want, and press Enter.

To add a volume marker

  • Right-click the music plot, and choose Add Volume Marker.

To remove a volume marker you added

You can remove only those volume markers that you add, not the ones that MixMeister creates.

  • Right-click a volume marker you added, and choose Delete.


Splitting a song into segments

In MixMeister, a segment is simply a piece of a song that you can work with. When you drag a song into a Playlist, by default it consists of only one segment. You can, however, split a song into two or more segments.

For example, you can take a ten-minute dance remix and chop it into a few segments—the intro, first chorus, solo, etc. At gig time, you can now easily delete or copy sections to rearrange the song. You can also move segments, make segments longer or shorter, and so on.

As you start chopping up songs, remember that MixMeister uses non-destructive editing. No matter how much you edit a segment, you never really change the original music file, so you can always get back to it. There are added benefits, too: your onscreen editing goes much faster and your working files are much smaller. Remember, too, that you can use the "Undo" feature to undo almost anything you do to the Playlist and in the Timeline.

By default, a track has only one segment.

A track split it into two segments, which are separated by a gray line.

To select a segment

  • Click the segment.

    The selected segment is indicated by a highlighted header. (If the entire song is only one segment, the entire song will be selected.)

To split a song (or a segment) into segments

  1. In the Timeline, click a song (or an existing segment) at the point where you want to split it in two.
    A flashing vertical cursor appears.

  2. Right-click the Timeline, and choose Split Segment At Cursor.

Tip You can also drag across a portion of the song to select it.

To make a song into one segment again

  • Right-click the Timeline, and choose Restore MixMeister’s Original Track Settings.

Caution! If you have made any changes to the segment—for example, adjusted tempo or increased the volume—you will lose those changes when you restore the original track settings.

To merge two segments into one

  1. In the Timeline, click a song that you’ve already split into two or more segments.

  2. Drag the edge of the first segment so it covers the entire second segment.

  3. Repeat Step 2 as necessary.

See Also

Cropping or extending a Primary track segment

Editing a track or part of a track


Cropping or extending a Primary track segment

Whether you’re working with music files that consist of a single segment, or those that you’ve split into several segments, at times you’ll want to shorten (crop) a segment or extend the segment to add a bit of silence to the beginning or end of a track. It's easy to do this—you simply drag the beginning or end of a segment.

It’s risk-free, too. That’s because MixMeister uses non-destructive editing. No matter how much you edit a segment, you never really change the original music file, so you can always get back to it. There are other benefits, too: your onscreen editing goes much faster and your working files are much smaller. Remember, too, that you can use the "Undo" feature to undo almost anything you do to the Playlist and in the Timeline.

Note If you want to crop or extend an Overlay segment, see Working with Primary and Overlay tracks.

To crop a Primary track segment

  1. In the Timeline, point to a segment line at the beginning or end of the Primary track segment you want to crop (shorten).
    Text appears that says Crop Or Extend Segment.

  2. Drag the line to the point where you want to crop the segment, and then release the mouse button.

To extend the length of a Primary track segment

  1. In the Timeline, point to a segment line at the beginning or end of the Primary track segment you want to extend (lengthen).
    Text appears that says Crop Or Extend Segment.

  2. Drag the line to the point where you want to extend the segment, and then release the mouse button.

See Also

Editing a track or part of a track

To change the tempo of an Overlay segment using Standard Mixing


Changing the tempo of a song

MixMeister automatically detects the tempo of each song and indicates that tempo with the beats per minute (BPM).

  • In Standard Mixing, each Primary track has two red tempo boxes that show the BPM—one at the beginning of the track and one at the end.

  • With Beat Mixing, each transition between songs (the overlap between songs) has four tempo boxes to indicate the automatic tempo shift that occurs.

  • Overlay tracks do not have tempo boxes.

  • You cannot create new tempo boxes.

See also

Working with Primary and Overlay tracks

To adjust the tempo of an entire track

You can easily adjust the playback tempo for both Standard Mixing and Beat Mixing.

  1. Right-click the song in the Playlist, and choose Properties.

  2. In the Track Properties box, click Play At Original BPM to remove the check mark.

  3. Drag the slider to the new BPM or type the value, and click OK.

Note If you’re finding that the playback tempo isn’t even close to what it should be, make sure the original tempo that MixMeister detected is correct. You can find out how to do this in the procedure for correcting a tempo that's way off.

To change the tempo of part of a track

The lines between the tempo boxes represent how the tempo will change over time. If you want the tempo of the track to increase gradually, drag the tempo boxes later in the song upwards. For more precision, type the value as described below.

  1. In the lower part of the Timeline, find the red tempo box associated with the song whose tempo you want to adjust.

  2. Right-click the tempo box, and choose Edit.

  3. Type the exact BPM you want, and press Enter.

To restore the automatic tempo setting

When you restore the automatic tempo setting, MixMeister sets the tempo it detected when you imported the song into the Catalog.

  1. In the lower part of the Timeline, find the red tempo box whose automatic setting you want to restore.

  2. Right-click the tempo box, and choose Use Automatic Setting.


Use Beat Mixing

DJs in dance clubs use a style of mixing called Beat Mixing (also known as beat matching). It refers to the art of changing the speed—or beats per minute (BPM)—so that both songs have the same BPM at the point where they overlap. Because the beats of the two songs are coordinated, the transition between songs is hard to detect, so you get a seamless transition between songs with different beats per minute.

Because it’s unlikely that your Playlist will include songs with the exact same beats per minute (BPM), you can use MixMeister to create seamless transitions between songs with the help of Beat Mixing.

To get started using Beat Mixing, check out:

  • About tempo, BPM, and beat mixing. This includes the basic steps for creating a Beat Mix.

  • Turning Beat Mixing on and off

  • Tips for creating a great beat mix

Then try these techniques:

  • Adjusting how beat-mixed songs line up with each other

  • Adjusting tempo changes in Beat Mixing


About tempo, BPM, and beat mixing

The "tempo" of a song refers to how fast or slow it is. Tempo affects the mood of a piece—a fast tempo makes music feel exciting or energetic, while a slow tempo feels more relaxed.

One way tempo can be measured is in "beats per minute," or BPM. Most dance music ranges between 110 and 140 BPM. A mellower song would have a lower BPM, while a high-energy sound would have a higher BPM. In most dance music, you can hear the thumping sound of the kick drum on each beat.

To do Beat Mixing, the speed—or BPM—of one or both songs needs to change so that they have the same BPM at the point where they overlap. In the illustration which follows, notice how the spikes (or beats) of the upper song line up with the spikes of the lower song. Because the beats of the two songs are coordinated, the transition between songs is hard to detect. When MixMeister changes the BPM of a song, however, it changes only the tempo; it doesn’t distort the sound of the voices or the instruments.

Keep in mind that for most of a song’s duration, it will retain its original BPM. But MixMeister prepares for the overlap of two songs by gradually slowing down or speeding up a song to meet at an intermediate BPM for the duration of the overlap. When you turn on Beat Mixing, MixMeister uses this technique to link songs together. (You can then fine-tune this automatic Beat Mixing however you like.)

For example, let’s say track A has a BPM of 130 and track B has a BPM of 140. The BPM at their overlap will be about 135. About 30 seconds before the overlap, track A will start to speed up gradually so it reaches 135 when it overlaps with track B. Once track A has stopped, track B will take about 30 seconds to speed up to its normal BPM of 140.

When you enable Beat Mixing, MixMeister defines an eight-measure Intro Range and an eight-measure Outro Range for each song. It then lines up the sprockets for the Outro Range of the outgoing track with the Intro Sprockets for the incoming track. During the time when the Outro and the Intro overlap, MixMeister lines up the beats of the two songs, adjusting the tempo of both songs so that it is between the tempos of each of the songs. The tempo change occurs gradually to make the transition smooth; it doesn't affect the original pitch of the music. The red tempo boxes at the bottom of the Timeline show the precise changes that MixMeister makes to the tempo over time.

To create a beat mix in a few easy steps

Dance music works particularly well with Beat Mixing.

  1. Select three songs in a row in the Playlist.

  2. Right-click the Playlist, and choose Sort By BPM (Ascending).
    This groups the songs in ascending order of their beats per minute, with the slowest track first and the fastest last.

  3. From the Edit menu, point to Track and choose Beat Mixing.
    The Playlist and the Timeline now display the Beat Mixing [image] icon for each of these songs.

  4. Click either of the Play buttons [image] [image], and enjoy the results.

How Beat Mixing works

MixMeister creates an eight-measure Intro Range and Outro Range at the beginning and end of each track. In most dance music, a measure is four beats.

If you're not familiar with musical terminology, think of the parts of a song as a poem. Each beat is like a syllable. Each measure is made up of four beats (usually) and forms a word. A phrase is made up of multiple measures (typically 8) and forms a musical sentence. Most great beat mixes line up the phrase from one song with the phrase from another song. In the process it fades from one to the other. The result is a smooth "morphing" from one song to another.

MixMeister then takes these ranges (Intro and Outro) and stretches each song. It makes the measures in the Outro Range from the first song the same length as the measures in the Intro Range of the second song. It does this by changing the tempo of one or both songs. MixMeister also cross-fades the volume during the time both songs play. These default settings created by MixMeister give you the makings of a great mix.

See Also

Using Snap To Beat


Turning Beat Mixing on and off

To turn on Beat Mixing

  • Right-click the song in the Playlist or the Timeline, and choose Beat Mixing.

To turn on Beat Mixing for many songs at once

  1. In the Playlist, select the number of songs to which you want to apply Beat Mixing.

  2. From the Edit menu, point to Track, and choose Beat Mixing.

To turn off Beat Mixing

When you turn off Beat Mixing for a song, you revert to the MixMeister default, standard mixing.

  • Right-click the song in the Playlist or the Timeline, and choose Use Standard Mixing.


Tips for creating a great beat mix

Here are some pointers about Beat Mixing to keep in mind:

  • Rearrange the order of songs in your Playlist so that neighboring songs are within about 5 to 10 beats per minute (BPM) of each other. The more similar the BPMs of two overlapping songs are, the less noticeable the tempo changes will be. (While MixMeister can handle differences in BPM of 20 or more, this mix may not sound very good.)

  • Beat Mixing works best on tracks that have long rhythmic beginnings and endings and use lots of drums. Dance tracks are often ideal for Beat Mixing thanks to the noticeable drumbeats.

  • Try lining up musical phrases as the Outro Range and Intro Range where two songs overlap. (A musical phrase is similar to a sentence in a book. It is a continuous thought that lasts 10-30 seconds. A singer would typically take a breath at the end of a phrase.) By overlapping the ending phrase of one song with the beginning phrase of the next song, you can make the transition sound more like a single song.

  • If you want to disable Beat Mixing on the beginning of a song but use it on the end, make the Intro Range 0 (zero) measures long. If you want to disable Beat Mixing at the end of a song but use it at the beginning, make the Outro Range 0 (zero) measures long.


Adjusting how beat-mixed songs line up with each other

You can only use Beat Mixing between songs that have Intro or Outro Ranges that are one measure or longer. The first beat of each measure is marked with a vertical gray stripe. The other beats are blue. (You may need to zoom in [image] to see the individual beats.)

Tip You can also use the mouse wheel—the middle button on your mouse—to zoom in or out. Roll the wheel forward to zoom in for more detail; roll it backward to zoom out for less.

To preview a song before moving ranges

  1. Click in the music plot near the end of a song.

  2. Use the buttons shown below to listen to portions of the song. Decide where you want to start fading to the next song.

  3. Mark this point by clicking in the Timeline.

Tip You may find it handy to use the Spacebar on your keyboard to stop (and resume) the play of the track.

To adjust the Intro and Outro Ranges

You can move either the Intro or Outro Range or both; you can also change the length of each. Some songs sound great with a 24-measure overlap; others should be much shorter.

MixMeister overlaps the songs based on measures, so it won't follow the sprocket positions strictly. For example, if the first song has a two-measure Outro while the second song has a three-measure Intro, only the last two measures will be linked up.

  1. To move the Intro or Outro Range, click in the horizontal red bar at the top, and drag it so the left edge is where you want the Intro or Outro Range to start.

  2. Change the length of the Intro or Outro Range by dragging the sprockets left or right.

Note When you drag the Intro or Outro Range, MixMeister snaps the position to the closest beat position that it finds. Generally, this snap size is eighth notes or 1/2 of a beat. By default, MixMeister also snaps the width of the Intro and Outro to measures (four beats). If you need greater control of the Intro and Outro, you can disable Snap To Beat from the Tools menu.

See Also

Using Snap To Beat


Adjusting tempo changes in Beat Mixing

MixMeister generates four tempo boxes for each track that uses Beat Mixing. Here’s where MixMeister puts them by default:

  • 30 seconds after the Intro Range for the track. (Original music tempo)

  • 30 seconds before the Outro Range for the track. (Original music tempo)

  • At the first and last Outro Sprockets. (The tempo is between the original tempo for the current track, and the original tempo for the next track.)

To change the tempo of one tempo box

You can change the sound of your beat mix by adjusting tempo boxes, with the lines between the tempo boxes representing the change in tempo over time. If you want the same tempo throughout the track, set all of the tempo boxes for the track at the same BPM.

  1. In the lower part of the Timeline, find the red tempo box associated with the track whose tempo you want to adjust.

  2. Right-click the tempo box, and choose Edit.

  3. Type the exact BPM you want, and press Enter.

To change the length of time between tempo boxes

You can direct MixMeister to take more or less time going from one beat per minute to another.

  • In the Timeline, click a tempo boxes that is not at a sprocket, and drag it to the right or left.

Tips

  • If you want a more gradual change in tempo, move the tempo boxes or sprockets farther apart; for a less gradual change, move them closer together.

  • If you want to move a tempo box that is lined up with a sprocket to the left or right, move the sprocket.

  • You can move any tempo box (even those lined up with a sprocket) up or down if you want to change tempo at that point.

See Also

For information on how to use sprockets, see Adjusting the overlap between songs.

To correct a tempo that’s way off

If the MixMeister analysis of the beats per minute (BPM) is off, you can set the tempo manually.

  1. In the Catalog, right-click the song whose BPM you want to change, and choose Properties.

  2. In the Catalog Item Properties box, click Beats Per Minute (BPM) (if it's not already selected), and type a new BPM value between 40 and 250.

  3. Click Preview to listen to the song and the beat.

  4. Click the Tap button on each beat, and watch the beat value in the BPM box.

  5. When the BPM is registered to your satisfaction, click OK.

To restore the original MixMeister BPM value

You can restore a song's BPM to the value that MixMeister originally detected and reverse any manual overrides.

  1. In the Catalog, right-click the song whose BPM you want to change, and choose Properties.

  2. In the Catalog Item Properties box, click AutoDetect, and click OK.


Work Your Magic on the Music - Advanced Techniques

By now, you're probably ready to try some advanced techniques to fine-tune your mix.

These techniques include:

  • Editing a track or part of a track

  • Using Snap To Beat

  • Working with Primary and Overlay tracks

  • Playing with the bass and treble settings of the music

  • Adding notes or comments to a track


Editing a track or part of a track

Want to reuse a cool lick several times within the same track? Curious to hear what it would sound like to preview a few bars of your second track while the first song in your Playlist is still playing? No problem—just drag segments around, cut segments out, or copy them to other parts of the song.

Important note MixMeister uses non-destructive editing on the tracks. This means that you can remove and copy sections of the track without impacting the music file. This behavior is unlike most wave editors, which actually manipulate the music file itself.

The benefit is that you can always return to the original music file, no matter how much you manipulate it in MixMeister. It's also much faster than editing the original music file, and it produces much smaller working files because you're dealing only with a set of pointers into the music and not the actual music data itself. Also, Remember that MixMeister will undo just about anything you do in the Playlist and Timeline.

See also

Splitting a song into segments

To drag a segment of a track to a new location

  1. In the Timeline, point to the title bar at the top of a track segment.
    Text appears that says Adjust Segment Position.

  2. Drag the segment to the position you want, and release the mouse button.

Notes about dragging and dropping

  • MixMeister does not allow you to drag a song’s outro to come before its intro.

  • You can drag a copied segment only within its own track, not into any other track.

  • In addition to dropping segments within the boundaries of the actual song, you can drop segments within the empty spaces before and after a song, although not before the beginning of the first song on the Playlist.

  • The Snap To Beat feature of MixMeister affects where you place the cursor to select and drag. See Using Snap To Beat for more information.

To insert a copy of a segment at a new location

In a Primary track, pasting at the blinking cursor means that you’re inserting the copied material, thereby moving the existing music out of the way to accommodate the new music. In Overlay tracks, pasting at the blinking cursor means that you’re pasting on top of the current music.

  1. In the Timeline, click to select the segment you want to copy.
    The selected segment has a highlighted title bar.

  2. Right-click the segment, and choose Copy.

  3. Click in the track where you want to paste the copied segment.

  4. Right-click the segment, and choose Paste.

See also

Working with Primary and Overlay tracks

To replace one segment with a copy of another segment

In Primary tracks, pasting over a highlighted section first removes the highlighted section and then inserts the new section.

  1. In the Timeline, click to select the segment you want to copy.
    The selected segment has a highlighted title bar.

  2. Right-click the segment, and choose Copy.

  3. Drag across a portion of the song that you want to replace with the copied segment.

  4. Right-click the segment, and choose Paste.

Notes about copying

  • You can paste copied material elsewhere only within its own track—not into any other track.

  • In addition to pasting segments within the boundaries of the actual song, you can paste segments within the empty spaces before and after a song, although not before the beginning of the first song on the Playlist.

To cut a segment of a track

In Primary tracks, cutting a segment removes that segment and does not leave a space where you cut—in other words, it closes the gap. In Overlay tracks, cutting a segment leaves a space where you cut—in other words, it leaves a gap.

  1. In the Timeline, click to select the segment you want to cut.

  2. Right-click the segment, and choose Cut.

See Also

Using Snap To Beat


Using Snap To Beat

Snap To Beat is the MixMeister feature for snapping a variety of things to the beat—sprockets, label markers, a segment, and so on—and ensures that they snap to the beat no matter where you drop or drag them.

Because Snap to Beat lets you paste sections of music according to beats and measures, it helps you achieve results that are more likely to make sense musically. Suppose you have Beat Mixing turned on, and you want to extend a song’s four-beat drum intro to 12 beats so that you have more time to mix it with the previous song. Using Snap to Beat, it’s easy to select and copy the four-beat measure and paste it twice to extend the intro to 12 beats. MixMeister snaps the position of the beginning of the range to the closest quarter note by default.

When Snap to Beat is on (which it is by default), you can specify measurements for its two snap settings—Snap Position To and Snap Length To. These settings are global in MixMeister, which means that the settings apply to all tracks in the Playlist.

Note Keep in mind that in MixMeister:

  • A measure = four beats, and a quarter note = one beat.

  • The default setting for Snap Position To is Eighth Notes and the default setting for Snap Length To is Measures.

See Also

Editing a track or part of a track

Cropping or extending a Primary track segment

To turn Snap To Beat on or off

A check mark next to Snap to Beat indicates it is turned on. If there is no check mark next to Snap to Beat, it is turned off.

  • Right-click the Timeline, and choose Snap To Beat.

To change the setting for Snap Position To

  1. Make sure Snap To Beat is turned on.

  2. From the Tools menu, choose Snap Position To.

  3. Click the position setting you want, from 8 Measures down to Eighth Notes.

The Snap Position To feature affects:

  • The actual placement of the cursor when you click within the Timeline. For example, if you have the Snap Position set to Eighth Notes, and you click in the Timeline, MixMeister places the cursor on the closest eighth note (half beat).

  • Where a sprocket in a Standard Mixed track will land when you move it.

  • Where the left edge of a segment will land if you’re dragging it on top of another segment. (If you drop the segment over blank space in its track, it lands wherever you place it because there is nothing to snap the segment to.)

  • Where an Intro or Outro Range in a Beat-Mixed track will land when you drag and drop the range.

To change the setting for Snap Length To

  1. Make sure Snap To Beat is turned on.

  2. From the Tools menu, choose Snap Length To.

  3. Click the length setting you want, from 8 Measures down to Eighth Notes.

The Snap Length To feature affects:

  • The size of a selection when you drag across a portion of a track in the Timeline. For example, if you have Snap Length To set to Measures, as you drag past two beats, MixMeister makes the selection four beats long (a measure); as you drag it past six beats, MixMeister makes the selection eight beats long (two measures), and so on.

  • The length of an Intro or Outro Range in a Beat-Mixed track when you crop or extend the range.

Note The length of Intro and Outro Ranges will not snap to a length that is less than a measure. So even if you set snap length to eighth notes, the Intro and Outro Ranges will snap to measures. If you set snap length to something more than a measure—two, for example—then the length of the Intro and Outro Ranges will follow the Snap Length To setting.


Working with Primary and Overlay tracks

Most of the time, you’ll be working with Primary tracks in MixMeister. By default, MixMeister assigns the Primary track designation to all tracks you add to a Playlist. However, there may be situations when you want to add something extra to your mix by adding an Overlay track—adding special sounds (such as "Whoosh"), voice-overs, or perhaps a riff that foreshadows a song coming up later.

When you drag a track from your Catalog to the Playlist or the Timeline, MixMeister assumes it is a Primary track. However, you can easily change any Primary track to an Overlay track. You edit Overlay tracks much as you would Primary tracks; we describe some of the exceptions—such as changing the tempo—below.

About Primary tracks

  • The track type indicator for a Primary track in your Playlist or Timeline are an open circle [image] for songs using Standard Mixing and a musical note [image] for songs using Beat Mixing.

  • Sprockets determine how each song in the Playlist lines up with the songs before and after it. As a result, you can change the order of a Primary track only by moving songs in the Playlist; you can never re-order songs in the Timeline.

About Overlay tracks

  • The track type indicator for an Overlay track in your Playlist or Timeline is [image].

  • The timing of Overlay tracks is always relative to the previous Primary track in the Playlist. So Overlay tracks work best when you place them immediately after the Primary track that plays at the same time. That way, MixMeister makes sure that the Overlay track stays linked with its Primary track no matter how you change the Playlist.

  • If you’re having problems with the Overlay tracks, click the Playlist menu and choose Align Overlay Tracks. This rearranges the Overlay tracks so that they immediately follow the Primary track that plays with them.

To create an Overlay track

  • Drag a song from the Catalog directly onto the Timeline.
    MixMeister places the new Overlay track on the Timeline following the song that’s at the current cursor position.

To change an existing Primary track to an Overlay track

Make sure the song follows the one you want to overlay.

  • In the current Playlist or in the Timeline, right-click the song you want to change to an Overlay track, and choose Overlay Track.

To crop or extend an Overlay segment

If you extend an Overlay track beyond the end of the original music file, it will loop back and play from the beginning. For example, if you stretch a 30-second segment to one minute, you'll hear the 30-second clip twice.

  1. In the Timeline, point to a segment line at the beginning or end of a segment in an Overlay track.

  2. Drag the line to the point where you want to crop (shorten) or extend (lengthen) the segment, and then release the mouse button.

Note If you want to crop or extend a Primary track segment, see Cropping or extending a Primary track segment.

To move an Overlay segment

  1. In the Timeline, point to the title bar at the top of an Overlay track.

  2. Drag the track or segment to the position you want, and then release the mouse button.

To change the tempo of an Overlay segment using Standard Mixing

Because Overlay tracks do not have tempo boxes, you can’t fine-tune the BPM as you can with Primary tracks. However, you can "stretch" an Overlay track by following these instructions, thereby affecting the tempo. As with Primary tracks, MixMeister adjusts the tempo of the music in an Overlay track without changing the pitch.

  1. In the Timeline, point to the segment line at the start or end of an Overlay segment. Make sure the pointer is over the bottom of the track.
    Text appears that says Adjust Segment Length (Speed = XX.X% or YYY BPM).

  2. Drag the line to the point where you want to adjust the segment, and then release the mouse button.
    The Overlay segment is now stretched or compressed to play in the time span selected.


Playing with the bass and treble settings of the music

To add a little variety and some cool effects to a mix, you can adjust the bass and treble of the music. You add bass or treble markers and then move them independently; the lines between the markers show how MixMeister adjusts the bass or treble there.

To change the bass of the music

  1. Right-click a segment in the Timeline where you want to change the bass, and choose Add Bass Volume Marker.

  2. Move the green bass marker up to increase the bass of the entire song, or down to decrease it.

  3. To have the bass go up and down throughout the song, repeat steps 1 and 2 as many times as you want.

To change the treble of the music

  1. Right-click a segment in the Timeline where you want to change the treble, and choose Add Treble Volume Marker.

  2. Move the yellow treble marker up to increase the treble of the entire song, or down to decrease it.

  3. To have the treble go up and down throughout the song, repeat steps 1 and 2 as many times as you want.

To remove a base or treble marker

  • Right-click the green bass marker or the yellow treble marker, and choose Delete.


Adding notes or comments to a track

Use label markers to jot notes and comments right in the track and to define track breaks manually when you’re exporting your mix to a CD. You might note an explicit lyric you want to mute out if you’re doing a kid’s birthday party, cue points where you might start reverb or a secondary outro, and so on.

To add a note or comment to a track

  1. Right-click the track where you want to add a label marker, and choose Add Label Marker.
    A tiny green box with a number in it appears.

  2. Right-click the green box, and choose Rename.
    If you have trouble grabbing the green box, grab its green vertical stem instead.

  3. Type the text you want, and press Enter.

To move a note or comment

You can move a label marker anywhere within the same track.

  • To move the label marker, grab its vertical stem and drag it to a new location.

To remove a note or comment

  • Right-click the label marker, and choose Delete.
    This removes the label marker and its contents.


Sharing Your Music

So you've built that killer mix, and now you're set to share it. You can connect your computer to your stereo and use the playback features to listen to your Playlist. Or, you can burn a personalized CD-R for a party or set your mix up for transfer to a handheld player. There's even a built-in webcasting tool for sharing your mix with the world.

Instructions follow on sharing your music:

  • Burning a CD

  • Exporting your Playlist to another format

  • Broadcasting your Playlist on the Web

  • Saving a track's current settings


Burning a CD

MixMeister includes special drivers to transfer the audio to CD. Building a CD consumes anywhere from a few hundred to 700MB of hard disk space for temporary files. However, MixMeister automatically deletes these files when you have finished creating your CD.

To create a CD-R

  1. Create your very best mix.
    Make sure that the total time is less than 74 or 80 minutes, depending on the size of your CD-R; otherwise it won't fit on the disk.

  2. Stick a blank CD into the drive.

  3. From the File menu, choose Create CD-Recordable.
    MixMeister reminds you to insert a disc and lets you know when it’s ready to write.

  4. If you’ve created label markers and you want to split tracks there, click Split Into Tracks At Label Markers.

  5. Click Write when you’re ready to burn the CD.

Tip Having trouble burning that CD? To slow down the process and increase your chance of success, follow steps 1–4 above, and then click the Advanced button. The Write Speed option in the Advanced box shows the speed that your CD burner supports. The default is Maximum, so make a choice that cuts that speed in half. Click OK, and then click Write.


Exporting your Playlist to another format

To export your Playlist to WAV format

This format can consume up to 10 MBs of hard disk space per minute of music.

  1. Create your very best mix.

  2. From the File menu, choose Export Playlist To Mixed File(s).

  3. In the Save As Type box, select Mixed Wave File.

  4. Make sure that Create A Separate Track File For Each Song is not checked.

  5. Type the desired filename (e.g., filename.wav), and click Save.

To export your Playlist to MP3 format

  1. Follow the steps in "To export your Playlist to WAV format" above.

  2. Use your third-party software (such as MusicMatch) to convert the WAV file into MP3 format.

To export your Playlist to Windows Media format

This format is considerably more compact than WAV format at 1 MB or less per minute of music, so this makes it a good choice if you're posting your Playlist to the Web or transferring it to a portable player.

  1. Create your very best mix.

  2. From the File menu, choose Export Playlist to Mixed File(s).

  3. In the Save As Type box, select Windows Media.

  4. Type the desired filename (e.g., filename.wma), and click Save.


Broadcasting your Playlist on the Web

With MixMeister, you can send live playback to local or remote listeners as a webcast. Webcasting relies on Windows Media streaming to make this happen. You’ll get the best results between machines connected directly to the Internet or connected on the same LAN (Local Area Network). Other configurations may work, depending on your network configuration.

In order to webcast across the Internet, you typically need a dedicated connection and a dedicated IP (Internet Protocol) address. Also, the broadcasting machine usually needs to be connected directly to the Internet and not through a local router or firewall. This is the same set of challenges you would encounter if you were hosting your own Web site. You’ll find lots of information about these topics on the Internet.

To receive a MixMeister webcast (and to monitor it locally), you'll need Windows Media Player version 4.1 or later or an equivalent player. You can download Windows Media Player free of charge from the Microsoft Windows Media Web site.

To start a webcast

  1. From the Tools menu, choose Audio Output Configuration.

  2. In the Audio Output Options box, click Webcasting.

  3. Click the Main output down arrow, and select the Webcast format from the list that you want to use to transmit the audio data.
    Higher quality audio (128 CD Quality, for example) sounds better but consumes more network resources. If you're webcasting across a conventional modem, you'll need to use the lower speeds. For example, the 28.8 FM Stereo format should work on a 33.6 modem.

  4. Click OK.
    MixMeister is ready to send the main playback to the webcast. You can still preview the mix through your computer’s speakers.

  5. Click the Play From Cursor Position button [image].
    The webcast address is displayed in the status bar in the lower right of the screen. It will look like this:

mms://mycomputer:7007

(Optional, requires Windows Media Player or equivalent.) To hear what you are sending across the network, choose Monitor Webcast from the Tools menu.

Windows Media Player opens and plays the webcast through your computer speakers. Keep in mind that what you hear will lag about 10 seconds behind what MixMeister is playing.

Note If the receiving PC can’t find the webcast, you may find answers in Solving playback problems.

To receive a webcast across a LAN

If you're sending across a LAN, make sure that both computers have TCP/IP networking installed.

  1. On the remote PC, choose Run from the Windows Start menu.

  2. In the Open box, type the webcast address that appears in the status bar in MixMeister where the music is playing. It will look like this:

mms://mycomputer:7007

Windows Media Player opens and begins playing the music the webcasting PC is broadcasting.

To receive a webcast across the Internet

To receive a webcast across the Internet, you'll need to know the IP (Internet Protocol) address of the webcasting computer. The address will have four sets of numbers separated by periods—for example, 201.22.144.18.

If you need help getting the IP address, see To determine the IP address of the webcasting computer below. Once you have it, do the following:

  1. On the receiving PC, choose Run from the Windows Start menu.

  2. In the Open box, type the following (substitute the IP address of the webcasting PC for xxx.xxx.xxx.xxx):

mms://xxx.xxx.xxx.xxx:7007

  3. Click OK.
    At this point, the Windows Media Player opens and begins playing the webcast. Keep in mind that it may take as long as 20 seconds to buffer and start playing.

To determine the IP address of the webcasting computer

You can determine the IP address of the webcasting computer if you know the computer’s name. The name is displayed as part of the webcast address in the status bar of MixMeister. For example, if the status bar says "Webcasting on mms://ABCXYZ:7007 at 128 kbps (local output disabled)," the name of your computer is ABCXYZ. Once you know the name of the computer, follow these steps to determine the IP address:

  1. Go to the computer that is sending the webcast.

  2. From the Windows Start menu, choose Run.

  3. In the Open box, type command, and click OK.
    This opens a DOS-like window.

  4. In the command window, type the following, substituting the name of your computer for mycomputer:

ping mycomputer

In the command window, you will now see something that looks like this:

Reply from xxx.xxx.xxx.xxx: bytes=32 time<10ms TTL=128

The text that appears in place of the xxx.xxx.xxx.xxx in the above example is the IP address.

Tip Alternatively, if you don’t know your computer’s name, you can open up the network control panel and view the IP properties. The procedure for this will vary based on what version of Windows you are running and your network configuration.


Saving a track's current settings

If you find yourself using the same track settings over and over, you can save them for each song you’ve customized in the Catalog. For example, if you've tweaked a particular portion of a song as the intro for Beat Mixing, you can save those settings as the new default for that song. Of course, you can always restore the original settings MixMeister assigned to the track.

When you use this feature, MixMeister saves the following track settings for use in MixMeister only, and not for export to other formats.

  • Segment breaks

  • Master Volume

  • Volume curve

  • Mixing Style (Standard Mixing or Beat Mixing)

  • Track Type (Overlay or Primary)

  • Label markers for adding notes to a track

  • Bass settings

  • Treble settings

  • Sprocket positions

  • The position of Intro and Outro Sprockets; the position and length of the Intro and Outro range.

  • Tempo

  • Effects applied to a track or part of a track

To save a track’s settings as the Catalog default

  1. In the Playlist or the Timeline, find the track whose settings you want to save.

  2. Right-click the track, and choose Save Current Track Settings As Catalog Default.

To revert to your last saved settings

Follow these steps if you've changed a track in the Timeline, but decide you want to revert to the track settings you saved previously as the Catalog default for that track.

  1. In the Playlist or the Timeline, find the track whose settings you want to undo.

  2. Right-click the track, and choose Revert To Last Saved Default Track Settings.

Note Each Playlist can have unique settings for the same song.

To restore a track’s original track settings

Follow these steps when you’ve saved your track settings as the Catalog default, but then decide you want that track to have the original MixMeister settings.

  1. In the Catalog, Playlist, or Timeline, find the track whose original MixMeister settings you want to restore.

  2. Right-click the track, and choose Restore MixMeister’s Original Track Settings.

Caution! If you have made any changes to a track—for example, adjusted the tempo or increased the volume—you will lose those changes when you restore the original track settings.

Notes

  • If you select this option for a music file in the Catalog, MixMeister saves the Original Track Settings as the default track settings for that file.

  • If you select this option for a track in the Playlist or Timeline, MixMeister applies these track settings to this track in this Playlist only. It does not save these settings as the default track settings for that file.


Troubleshooting

This set of topics offers advice to help you troubleshoot problems you may experience.

Solving problems creating a Playlist, including:

  • Some of the columns are missing

  • There's no music plot for a song or I get a message that says "Still calculating BPM"

Solving playback problems, including:

  • The receiving computer can't find a webcast

  • Playback stops and skips when mixing between songs

  • I hear clicking, popping, static, and other noise during playback

Getting help as you work

  • As you’re working, check out the right-click menu for the area you’re in (Catalog, Playlist, or Timeline). You may discover some cool tricks!

  • If you’re unsure what something is for—for example, a colored box or line in the Timeline—rest your mouse pointer in it for a moment and a tip will appear giving you a hint about what it is or what it’s for.

  • If you're having problems that aren't solved in these Troubleshooting topics, check out the latest information on the Support page of our web site; or e-mail us at support@MixMeister.com.


Solving problems creating a Playlist

Some of the columns are missing

If you're missing columns in the Playlist or Catalog, they may be hidden because their width is set to zero. To show hidden columns, choose Show All Columns from the View menu. This automatically expands the width of all of the columns so they’re visible.

There’s no music plot for a song or I get a message that says "Still calculating BPM"

Creating the plots and detecting the beats per minute (BPM) can take anywhere from a few seconds to a couple of minutes per music file. The status bar at the bottom of the MixMeister window shows the progress.

However, if MixMeister doesn't seem to be making progress, or it keeps processing the same songs over and over, check the following:

  • Make sure that you have at least 10MB of free disk space.
    To check, double-click My Computer on your desktop. Right-click on your hard disk (in general, C:\), and choose Properties. On the General tab, check the available free disk space.

  • Make sure the plot file directory is pointing to a valid directory.
    To check the plot file directory path, choose Options from the Tools menu. Then click the Browse button, and browse your computer’s hard disk to make sure that the directory actually exists on your hard disk.


Solving playback problems

The receiving computer can’t find a webcast

There are a few things you can try to solve the problem:

Make sure that the receiving computer can successfully "ping" the webcast machine.

  1. From the Windows Start menu, choose Run.

  2. In the Open box, type command, and then click OK.
    This opens a DOS-like window.

  3. In the command window, type ping <mycomputer>, substituting the name of your computer for mycomputer.
    If your computer can "ping" the webcast machine, you'll see a reply something like this:

Reply from xxx.xxx.xxx.xxx: bytes=32 time<10ms TTL=128

Try using the hostname of the PC instead of the IP address or vice versa.

  1. From the Windows Start menu, choose Run.

  2. Type either the hostname of the PC or the IP address as appropriate, and then click OK.

Playback stops and skips when mixing between songs

This problem usually results when MixMeister has run out of CPU resources. Make sure you have the recommended minimum system: a Pentium 2 class machine with at least 64 MB RAM and 100 MB of free hard disk space. On computers that don’t meet these minimum requirements, reliable playback depends on a variety of factors including amount of cache memory and hard disk speed.

I hear clicking, popping, static, and other noise during playback

There are a few things you can try to solve the problem:

  • Make sure that you're using the latest version of the sound card drivers on your computer. (The sound card driver is the software that makes it possible for MixMeister to communicate with the speakers on your computer.) To find out if the drivers are up to date, check with the vendor of your computer. For example, you might check the vendor's web site to find out if new drivers have been posted for your computer model.

  • Try connecting to the sound card in a different way:
    From the Tools menu, choose Audio Output Configuration, and then choose Advanced. In the Advanced Output box, click Use Wave Output, and then click OK.

  • If you have an older machine, close any unnecessary programs to free up resources.

  • Let MixMeister finish processing the songs in the Catalog. (If your list is very large, consider even leaving it running overnight.) Then, try playback again.


PauseButton

Pause


PlayFromBeginningButton

Play From Beginning


PlayFromCursorPositionButton

Play from Cursor Position


Skip Playback to Next Track


Skip Playback to Previous Track


StopButton

Stop